This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1467348 - Name has Already been taken error when editing zone in Global Region
Name has Already been taken error when editing zone in Global Region
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Replication (Show other bugs)
5.7.0
Unspecified Unspecified
medium Severity medium
: GA
: cfme-future
Assigned To: Gregg Tanzillo
Alex Newman
replication:distributed:zone
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 09:16 EDT by Dustin Scott
Modified: 2017-07-07 14:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dustin Scott 2017-07-03 09:16:41 EDT
Description of problem:

When attempting to edit a zone in the global region (e.g. add NTP servers) an error message 'Name has already been taken appears. Presumably, this is because the zone name is the same from the remote/subordinate region.

From evm.log:

[----] I, [2017-07-03T08:05:08.388759 #24506:7c914c]  INFO -- : MIQ(MiqQueue#deliver) Message id: [99000000427481], Delivering...
[----] I, [2017-07-03T08:05:08.426091 #24506:7c914c]  INFO -- : MIQ(MiqQueue#delivered) Message id: [99000000427481], State: [ok], Delivered in [0.037354034]
 seconds
[----] E, [2017-07-03T08:05:09.348994 #24598:f00f28] ERROR -- : MIQ(ops_controller-zone_edit): Name has already been taken
[----] I, [2017-07-03T08:05:21.600886 #24522:7c914c]  INFO -- : MIQ(MiqScheduleWorker::Runner#do_work) Number of scheduled items to be processed: 0.
[----] I, [2017-07-03T08:05:36.603854 #24522:7c914c]  INFO -- : MIQ(MiqScheduleWorker::Runner#do_work) Number of scheduled items to be processed: 0.


From database (see same zone name UI between Global/Remote):

vmdb_production=# select id,name,description from zones;
       id       |   name   |  description
----------------+----------+---------------
 99000000000001 | default  | Default Zone
 99000000000002 | UI       | UI Zone
 10000000000006 | RHVM-DAL | RHVM DAL Zone
 10000000000001 | default  | Default Zone
 10000000000005 | RHVM-HOE | RHVM HOE Zone
 10000000000002 | UI       | UI Zone


Version-Release number of selected component (if applicable):

cfme-5.7.2.1-1.el7cf.x86_64


How reproducible:

100% with steps to reproduce below.


Steps to Reproduce:
1. Create UI Zone in Subordinate
2. Create UI Zone in Global
3. Attempt to edit UI Zone in Global by adding NTP servers

Actual results:

The zone is not saved, and an error message 'Name has already been taken' appears


Expected results:

The zone is saved with the requested changes.  The zone name can be duplicated because we are configuring the zone in a completely different region (Global).


Additional info:

Note You need to log in before you can comment on or make changes to this bug.